
from os import listdir
from os.path import isfile, join
import json

path_work="effects/"
fname_output = "id/gen_effect_id.txt"

onlyfiles = [f for f in listdir(path_work) if isfile(join(path_work, f)) and f.endswith(".json")]
f_workfile = open(fname_output, 'w')

for filename in onlyfiles :
    with open(path_work+filename) as f:
      data = json.load(f)
      f_workfile.write(str(data['effectDefID']) + "," + data['effectNameString'] + "," + filename + ";" + "\n")
      
print(fname_output + " written\n")


